Source: haskell-tasty-hedgehog
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts (>= 0.8),
 cdbs,
 ghc,
 ghc-prof,
 libghc-hedgehog-dev (>= 1.0.2),
 libghc-hedgehog-dev (<< 1.0.4),
 libghc-hedgehog-prof,
 libghc-tagged-dev (>= 0.8),
 libghc-tagged-dev (<< 0.9),
 libghc-tagged-prof (>= 0.8),
 libghc-tagged-prof (<< 0.9),
 libghc-tasty-dev (>= 0.11),
 libghc-tasty-dev (<< 1.4),
 libghc-tasty-prof,
 libghc-tasty-expected-failure-dev (>= 0.11),
 libghc-tasty-expected-failure-dev (<< 0.13),
Build-Depends-Indep: ghc-doc,
 libghc-hedgehog-doc,
 libghc-tagged-doc,
 libghc-tasty-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/qfpl/tasty-hedgehog
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-tasty-hedgehog
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
X-Description: hedgehog-tasty integration
 Integrates the hedgehog testing library with the tasty testing
 framework.

Package: libghc-tasty-hedgehog-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-tasty-hedgehog-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-tasty-hedgehog-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
